## ros-eloquent-ament-cmake-virtualenv 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(ament_cmake_virtualenv NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)

ament_package(
  CONFIG_EXTRAS ${PROJECT_NAME}-extras.cmake
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake()
endif()

=== debian/changelog ===
ros-eloquent-ament-cmake-virtualenv (0.0.5-6bionic) bionic; urgency=high

  * fixed various bugs identified by CI

 -- Max Krichenbauer <v-krichenbauer7715@esol.co.jp>  Thu, 09 Jan 2020 15:00:00 -0000

ros-eloquent-ament-cmake-virtualenv (0.0.4-6bionic) bionic; urgency=high

  * added fallbacks for different environments

 -- Max Krichenbauer <v-krichenbauer7715@esol.co.jp>  Sun, 08 Dec 2019 15:00:00 -0000

ros-eloquent-ament-cmake-virtualenv (0.0.3-6bionic) bionic; urgency=high

  * various bug-fixes

 -- Max Krichenbauer <v-krichenbauer7715@esol.co.jp>  Tue, 03 Dec 2019 15:00:00 -0000

ros-eloquent-ament-cmake-virtualenv (0.0.2-6bionic) bionic; urgency=high

  * various bug-fixes

 -- Max Krichenbauer <v-krichenbauer7715@esol.co.jp>  Wed, 20 Nov 2019 15:00:00 -0000

ros-eloquent-ament-cmake-virtualenv (0.0.1-6bionic) bionic; urgency=high

  * first public release

 -- Max Krichenbauer <v-krichenbauer7715@esol.co.jp>  Sun, 20 Oct 2019 15:00:00 -0000

=== debian/control ===
Source: ros-eloquent-ament-cmake-virtualenv
Section: misc
Priority: optional
Maintainer: Max Krichenbauer <v-krichenbauer7715@esol.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-copyright, ros-eloquent-ament-cmake-core, ros-eloquent-ament-cmake-lint-cmake, ros-eloquent-ament-cmake-test, ros-eloquent-ament-virtualenv, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-ament-cmake-virtualenv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-virtualenv, ros-eloquent-ros-workspace
Description: Bundle python requirements in a ament package via virtualenv.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-ament-cmake-virtualenv//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
